# Generated by Django 4.1.1 on 2022-09-23 04:42

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('apps', '0004_rename_telegram_token_systemmodel_telegram_id'),
    ]

    operations = [
        migrations.RenameField(
            model_name='raspihistorymodel',
            old_name='status',
            new_name='cry_status',
        ),
        migrations.RemoveField(
            model_name='systemmodel',
            name='owners',
        ),
        migrations.AddField(
            model_name='raspihistorymodel',
            name='humidity',
            field=models.DecimalField(decimal_places=2, default=False, max_digits=10),
            preserve_default=False,
        ),
        migrations.AddField(
            model_name='raspihistorymodel',
            name='temperature',
            field=models.DecimalField(decimal_places=2, default=0, max_digits=10),
            preserve_default=False,
        ),
        migrations.AddField(
            model_name='systemmodel',
            name='highest_humidity',
            field=models.DecimalField(decimal_places=2, default=80, max_digits=10),
        ),
        migrations.AddField(
            model_name='systemmodel',
            name='highest_temperature',
            field=models.DecimalField(decimal_places=2, default=30, max_digits=10),
        ),
        migrations.AddField(
            model_name='systemmodel',
            name='lowest_humidity',
            field=models.DecimalField(decimal_places=2, default=50, max_digits=10),
        ),
        migrations.AddField(
            model_name='systemmodel',
            name='lowest_temperature',
            field=models.DecimalField(decimal_places=2, default=20, max_digits=10),
        ),
        migrations.AddField(
            model_name='systemmodel',
            name='owner',
            field=models.OneToOneField(default=1, on_delete=django.db.models.deletion.CASCADE, related_name='system', to=settings.AUTH_USER_MODEL),
            preserve_default=False,
        ),
        migrations.DeleteModel(
            name='SystemOwnerModel',
        ),
    ]
